alan_matheson

Wrong version of ZPUino on new Papilio Pro

3 posts in this topic

I recently purchased a Papilio Pro together with a Logic Start board.

Whenever I try to send a compiled example program to the board I get the following error message;


Board: GadgetFactory Papilio Pro LX9 @ 96000000 Hz (0xa4041700)
Board mismatch!!!.
Board is:      0xa4041700 'GadgetFactory Papilio Pro LX9'
Sketch is for: 0xb4041700 'GadgetFactory Papilio Pro LX9 (ZPUino 2.0)'




My conclusion is that the supplied board has version 1 of the ZPUino installed and not the latest version as I would have expected.

How do I install ZPUino version 2.0.

 

Share this post


Link to post
Share on other sites

Assuming you're in DesignLab, maybe try clicking the "Load Circuit" button before the "Upload" button.  The "Load Circuit" button will upload both ZPUino and whatever I/O devices are used in your sketch.

Share this post


Link to post
Share on other sites

Yes,

 

Please load the circuit before loading the sketch. Each sketch has its own customized version of ZPUino associated with it with just the right mix of peripherals to accomplish the task.

 

Just click the, "Load Circuit" button before loading the sketch.

 

Jack.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now